using System;

namespace Game
{
	[Serializable]
	public class TextChoice
	{
		public TextChoice(string text, GameScreenAsset nextScreen)
		{
			this.text = text;
			this.nextScreen = nextScreen;
		}

		public string text;
		public GameScreenAsset nextScreen;
		public event Action<TextChoice> Selected;

		public void OnSelected()
		{
			Selected?.Invoke(this);
		}
	}
}